Package org.gradle.api

# Class GradleException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gradle.api.GradleException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `BuildCancelledException`, `CircularReferenceException`, `ConfigurationCycleException`, `org.gradle.internal.exceptions.DefaultMultiCauseException`, `DuplicateFileCopyingException`, `GradleScriptException`, `IllegalDependencyNotation`, `InvalidActionClosureException`, `InvalidModelException`, `InvalidModelRuleDeclarationException`, `InvalidModelRuleException`, `InvalidPluginException`, `InvalidUserCodeException`, `InvalidUserDataException`, `ManifestException`, `ModelInstantiationException`, `ModelRuleBindingException`, `PluginInstantiationException`, `PublishException`, `ReadOnlyModelViewException`, `ReportContainer.ImmutableViolationException`, `ResourceException`, `StopActionException`, `TaskInstantiationException`, `TestExecutionException`, `UnknownDomainObjectException`, `UnknownModelException`, `VariantTransformConfigurationException`, `VerificationException`, `WriteOnlyModelViewException`

public class GradleException extends RuntimeException

`GradleException` is the base class of all exceptions thrown by Gradle.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GradleException()`
  `GradleException(String message)`
  `GradleException(String message, Throwable cause)`

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GradleException

    public GradleException()

  - ### GradleException

    public GradleException(String message)

  - ### GradleException

    public GradleException(String message, @Nullable Throwable cause)